get
https://api.sandbox.insidetracker.com/report-hub/customer/v2/reports/
Returns paginated list of reports available for current user and specified type.
User should have proper access scope to list reports with specified type.
- If user has 'reports:r' or 'basic' scope (legacy) - all report types are available.
- If user has specific scope for report type - only reports with that type are available.
Report types and required scopes:
| Report Type | Required Scope |
|---|---|
| HHR | reports.hhr:r |
| DNA | reports.dna:r |
| BLOOD | reports.blood:r |
Pagination and sorting is done in standard way using
- page number (0..N), default is 0
- page size (1..N), default is unlimited
- sorting by field and direction (asc, desc), default is by 'dateTo,desc', allowed fields are 'dateFrom', 'dateTo', 'createdAt'
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
400Bad Request
401Unauthorized
403Forbidden